Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.galaxy
Class GalaxyAdaptor.FileResult

    java.lang.Object
      de.jstacs.results.Result
          de.jstacs.utils.galaxy.GalaxyAdaptor.FileResult

All Implemented Interfaces:
  Storable

Enclosing class:
  GalaxyAdaptor

    public static class GalaxyAdaptor.FileResult

extends Result

`Result` for files that are results of some computation. Also used to link e.g. PDFs of images to `GalaxyAdaptor.LinkedImageResult`s.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.Result
`comment, datatype, name`

Constructor Summary
`GalaxyAdaptor.FileResult(StringBuffer rep)` Creates a new `GalaxyAdaptor.FileResult` from its XML-representation
`GalaxyAdaptor.FileResult(String name, String comment, String fullPath)` Creates a new `GalaxyAdaptor.FileResult` with name, comment, and path to the file.
`GalaxyAdaptor.FileResult(String name, String comment, String path, String filename, String extension)` Creates a new `GalaxyAdaptor.FileResult` with name, comment, path to the file, filename and extension.

Method Summary
`protected void` | `fromXML(StringBuffer rep)` This method is used in `Result.Result(StringBuffer)` to extract the information.
`String` | `getExtension()` Returns the filename extension
`String` | `getFilename()` Returns the filename.
`String` | `getPath()` Returns the path of the directory containing the file
`File` | `getResult()` Returns the value of the `Result`.
`void` | `setExtension(String extension)` Sets the filename extension
`void` | `setFilename(String filename)` Sets the file
`void` | `setPath(String path)` Sets the path of the directory containing the file to `path`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.results.Result
`appendMainInfo, checkDatatype, createResult, extractMainInfo, getComment, getDatatype, getName, isCastableResult, isComparableResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GalaxyAdaptor.FileResult

    public GalaxyAdaptor.FileResult(String name,
                                    String comment,
                                    String fullPath)

  Creates a new `GalaxyAdaptor.FileResult` with name, comment, and path to the file.

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `fullPath` - the path to the file

### GalaxyAdaptor.FileResult

    public GalaxyAdaptor.FileResult(String name,
                                    String comment,
                                    String path,
                                    String filename,
                                    String extension)

  Creates a new `GalaxyAdaptor.FileResult` with name, comment, path to the file, filename and extension.

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `path` - the path to the directory containing the file
    `filename` - the filename without extension
    `extension` - the filename extension

### GalaxyAdaptor.FileResult

    public GalaxyAdaptor.FileResult(StringBuffer rep)
                             throws NonParsableException

  Creates a new `GalaxyAdaptor.FileResult` from its XML-representation

  Parameters:
    `rep` - the representation
  Throws:
    `NonParsableException` - if pre could not be parsed

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Returns:
    the XML representation

### fromXML

    protected void fromXML(StringBuffer rep)
                    throws NonParsableException

  Description copied from class: `Result`
  This method is used in `Result.Result(StringBuffer)` to extract the information. The method can be seen as opposite of `Storable.toXML()` and should not be made public.

  Specified by:
    `fromXML` in class `Result`
  Parameters:
    `rep` - the XML represenation of the `Result` to be parsed
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `Result.extractMainInfo(StringBuffer)`

### getResult

    public File getResult()

  Description copied from class: `Result`
  Returns the value of the `Result`.

  Specified by:
    `getResult` in class `Result`
  Returns:
    the value of the `Result`

### getPath

    public String getPath()

  Returns the path of the directory containing the file

  Returns:
    the path

### setPath

    public void setPath(String path)

  Sets the path of the directory containing the file to `path`

  Parameters:
    `path` - the new path

### getFilename

    public String getFilename()

  Returns the filename.

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Sets the file

  Parameters:
    `filename` - the new filename

### getExtension

    public String getExtension()

  Returns the filename extension

  Returns:
    the extension

### setExtension

    public void setExtension(String extension)

  Sets the filename extension

  Parameters:
    `extension` - the new extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD